<?php
/************************************************************************
 * M-XChange v0.2.1                                   Start: 04/24/2005 *
 * ================                             Last change: 05/12/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-edit_sponsor.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Edit sponsor account                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sponsorenaccount aendern                         *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software. You can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License.       *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!is_admin())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if ((!empty($_GET['id'])) && (!empty($_GET['mode']))) {
	// Check for selected sponsor
	$result = SQL_QUERY_ESC("SELECT company, position, gender, surname, family, street_nr1, street_nr2, zip, city, country, phone, fax, cell, email, url, tax_ident, receive_warnings, warning_interval FROM "._MYSQL_PREFIX."_sponsor_data WHERE id='%s' LIMIT 1",
	 array(bigintval($_GET['id'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Load sponsor details
		$DATA = SQL_FETCHARRAY($result);
		SQL_FREERESULT($result);

		// Prepare all data for the template
		//  Sponsor's ID
		define('__SPONSOR_ID' , bigintval($_GET['id']));
		//  Company's data
		define('__COMPANY'    , $DATA['company']);
		define('__POSITION'   , $DATA['position']);
		define('__TAX_IDENT'  , $DATA['tax_ident']);
		//  Personal data
		switch ($DATA['gender'])
		{
		case "M":
			define('__GENDER_M', " selected=\"selected\"");
			define('__GENDER_F', "");
			define('__GENDER_C', "");
			break;

		case "F":
			define('__GENDER_M', "");
			define('__GENDER_F', " selected=\"selected\"");
			define('__GENDER_C', "");
			break;

		case "C":
			define('__GENDER_M', "");
			define('__GENDER_F', "");
			define('__GENDER_C', " selected=\"selected\"");
			break;
		}
		define('__SURNAME'    , $DATA['surname']);
		define('__FAMILY'     , $DATA['family']);
		define('__STREET1'    , $DATA['street_nr1']);
		define('__STREET2'    , $DATA['street_nr2']);
		define('__ZIP'        , $DATA['zip']);
		define('__CITY'       , $DATA['city']);
		define('__COUNTRY'    , $DATA['country']);
		//  Contact data
		define('__PHONE'      , $DATA['phone']);
		define('__FAX'        , $DATA['fax']);
		define('__CELL'       , $DATA['cell']);
		define('__EMAIL'      , $DATA['email']);
		define('__URL'        , $DATA['url']);
		//  Warning because low points
		define('__REC_WARNING', ADD_SELECTION("yn", $DATA['receive_warnings'], "receive_warning"));
		define('__INTERVAL'   , CREATE_TIME_SELECTIONS($DATA['warning_interval'], "warning_interval", "MWDh"));

		// Init variables here
		$TPL = sprintf("admin_edit_sponsor_%s", SQL_ESCAPE($_GET['mode']));
		$SQLs = array();

		// Sponsor was found
		if ((isset($_POST['ok'])) || (isset($_POST['edit']))) {
			// Perform action on mode
			switch ($_GET['mode'])
			{
			case "add_points": // Add points
				if (strval($_POST['points']) > 0) {
					// Replace german decimal comma with computer's decimal dot
					$POINTS = strval(REVERT_COMMA($_POST['points']));

					// Add points to account
					$result_add = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_sponsor_data SET points_amount=points_amount+%s WHERE id='%s' LIMIT 1",
					 array($POINTS, bigintval($_GET['id'])), __FILE__, __LINE__);

					// Remember points /reason for the template
					define('__POINTS' , TRANSLATE_COMMA($POINTS));
					define('__REASON' , $_POST['reason']);

					// Send email
					$msg = LOAD_EMAIL_TEMPLATE("sponsor_add_points", $_POST['reason'], true);
					SEND_EMAIL(__EMAIL, SPONSOR_ADMIN_ADD_POINTS, $msg);
					$MSG = ADMIN_SPONSOR_POINTS_ADDED;
				} else {
					// No points entered to add!
					$MSG = ADMIN_SPONSPOR_NO_POINTS_TO_ADD;
				}
				break;

			case "sub_points": // Subtract points
				if (strval($_POST['points']) > 0) {
					// Replace german decimal comma with computer's decimal dot
					$POINTS = strval(REVERT_COMMA($_POST['points']));

					// Add points to account
					$result_add = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_sponsor_data SET points_used=points_used+%s WHERE id='%s' LIMIT 1",
					 array($POINTS, bigintval($_GET['id'])), __FILE__, __LINE__);

					// Remember points /reason for the template
					define('__POINTS' , TRANSLATE_COMMA($POINTS));
					define('__REASON' , $_POST['reason']);

					// Send email
					$msg = LOAD_EMAIL_TEMPLATE("sponsor_sub_points", $_POST['reason'], true);
					SEND_EMAIL(__EMAIL, SPONSOR_ADMIN_SUB_POINTS, $msg);
					$MSG = ADMIN_SPONSOR_POINTS_SUBTRACTED;
				} else {
					// No points entered to add!
					$MSG = ADMIN_SPONSPOR_NO_POINTS_TO_SUBTRACT;
				}
				break;

			case "edit": // Edit sponsor account
				$PASS = true;
				if (($_POST['pass1'] != $_POST['pass2']) || ((empty($_POST['pass1'])) && (empty($_POST['pass1'])))) {
					// Remove passwords
					unset($_POST['pass1']);
					unset($_POST['pass2']);
					$PASS = false;
				}
				SPONSOR_HANDLE_SPONSOR($_POST);

				// Convert some data for the email template
				$_POST['gender'] = TRANSLATE_GENDER($_POST['gender']);
				$_POST['warning_interval'] = CREATE_FANCY_TIME($_POST['warning_interval']);
				if (!$PASS) $_POST['pass1'] = SPONSOR_PASS_UNCHANGED;

				// Load email template and send the mail away
				$msg = LOAD_EMAIL_TEMPLATE("admin_sponsor_edit", $_POST, false);
				SEND_EMAIL($_POST['email'], SPONSOR_ADMIN_EDIT_SUBJECT, $msg);
				break;

			default: // Unknown mode
				$MSG = ADMIN_INVALID_MODE_1.SQL_ESCAPE($_GET['mode']).ADMIN_INVALID_MODE_2;
				break;
			}

			if (!empty($MSG)) {
				// Output message
				LOAD_TEMPLATE("admin_settings_saved", false, $MSG);
			} // END - if
		} elseif (FILE_READABLE(sprintf("%stemplates/%s/html/admin/%s.tpl", PATH, GET_LANGUAGE(), $TPL))) {
			// Create mailto link
			define('__SPONSOR_VALUE', "<A href=\"mailto:".__EMAIL."\">".__SURNAME." ".__FAMILY."</A>");

			// Load mode template
			LOAD_TEMPLATE($TPL);
		} else {
			// Template not found!
			LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_TPL_404_1.SQL_ESCAPE($_GET['mode']).ADMIN_TPL_404_2);
		}
	} else {
		// Sponsor not found!
		LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_SPONSOR_404_1.bigintval($_GET['id']).ADMIN_SPONSOR_404_2);
	}
} else {
	// Not called by what-list_sponsor.php
	LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_CALL_NOT_DIRECTLY);
}

//
?>
