<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/30/2005 *
 * ================                             Last change: 04/30/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_country.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Manage country codes                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Country codes verwalten                          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!is_admin())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Add new code?
if ((isset($_POST['add'])) && (!empty($_POST['code'])) && (!empty($_POST['descr'])))
{
	// Check if country code does already exist
	$result = SQL_QUERY_ESC("SELECT id FROM "._MYSQL_PREFIX."_countries WHERE code='%s' LIMIT 1",
	 array(strtoupper($_POST['code'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 0)
	{
		// Save entry
		$result = SQL_QUERY_ESC("INSERT INTO "._MYSQL_PREFIX."_countries (code, descr, is_active)
 VALUES('%s','%s','%s')",
 array(strtoupper(substr($_POST['code'], 0, 2)), $_POST['descr'], $_POST['is_active']), __FILE__, __LINE__);

 		// Country added
		$MSG = ADMIN_COUNTRY_ADDED_1.strtoupper($_POST['descr']).ADMIN_COUNTRY_ADDED_2;
	}
	 else
	{
		// Free memory
		SQL_FREERESULT($result);

		// Does already exist
		$MSG = ADMIN_COUNTRY_ALREADY_1.strtoupper($_POST['code']).ADMIN_COUNTRY_ALREADY_2;
	}

	// Display message
	LOAD_TEMPLATE("admin_settings_saved", false, $MSG);
	OUTPUT_HTML("<br />");
}
// Change status?
 elseif ((isset($_POST['change'])) && (!empty($_POST['id'])))
{
	// Change all status
	ADMIN_CHANGE_ACTIVATION_STATUS($_POST['id'], "countries", "is_active");
}
// Edit / delete entries?
 elseif (((isset($_POST['edit'])) || (isset($_POST['delete']))) && (!empty($_POST['id'])))
{
	if (count($_POST['id']) > 0)
	{
		if (isset($_POST['edit']))
		{
			// Edit template
			$row    = "admin_list_country_edit_row";
			$post   = "modify";
			$class  = "admin_submit";
			$submit = ADMIN_COUNTRY_EDIT_NOW;
			$title  = ADMIN_COUNTRY_EDIT_TITLE;
			$reset  = "<INPUT type=\"reset\" class=\"admin_reset\" value=\"".UNDO_SELECTIONS."\">&nbsp;*\n";
		}
		 else
		{
			// Delete template
			$row    = "admin_list_country_del_row";
			$post   = "remove";
			$class  = "admin_delete";
			$submit = ADMIN_COUNTRY_DELETE_NOW;
			$title  = ADMIN_COUNTRY_DELETE_TITLE;
			$reset  = "";
		}

		// Edit all selected country codes
		$OUT = ""; $SW = 2;
		foreach ($_POST['id'] as $id => $status)
		{
			// Load data from DB
			$result = SQL_QUERY_ESC("SELECT code, descr FROM "._MYSQL_PREFIX."_countries WHERE id=%s LIMIT 1",
			 array(bigintval($id)), __FILE__, __LINE__);
			if (SQL_NUMROWS($result) == 1)
			{
				// Load data
				list($code, $descr) = SQL_FETCHROW($result);
				SQL_FREERESULT($result);

				// Prepare data, load row template and switch colors
				$content = array(
					'id'    => $id,
					'code'  => $code,
					'descr' => $descr,
					'sw'    => $SW,
				);
				if ($post == "modify")
				{
					// Generate default selection in edit-mode
					$content['status'] = ADD_OPTION_LINES("/ARRAY/", array("Y","N"), array(YES, NO ), $status);
				}
				 else
				{
					// Only display status when in delete-mode
					$content['status'] = TRANSLATE_YESNO($status);
				}
				$OUT .= LOAD_TEMPLATE($row, true, $content);
				$SW = 3 - $SW;
			}
		}
		define('__COUNTRY_ROWS'  , $OUT);
		define('__COUNTRY_MODE'  , $post);
		define('__COUNTRY_CLASS' , $class);
		define('__COUNTRY_SUBMIT', $submit);
		define('__COUNTRY_TITLE' , $title);
		define('__COUNTRY_RESET' , $reset);

		// Load main template
		LOAD_TEMPLATE("admin_list_country_form");
	}
}
 else
{
	// Shall we modify / remove entries now?
	$MSG = ""; $SQLs = array();
	if ((isset($_POST['modify'])) && (!empty($_POST['id'])))
	{
		// Modify
		foreach ($_POST['id'] as $id => $sel)
		{
			$SQLs[] = "UPDATE "._MYSQL_PREFIX."_countries SET code='".$_POST['code'][$id]."', descr='".$_POST['descr'][$id]."', is_active='".$_POST['is_active'][$id]."' WHERE id='".$id."' LIMIT 1";
		}

		// Create message
		$MSG = ADMIN_COUNTRIES_MODIFIED;
	}
	 elseif ((isset($_POST['remove'])) && (!empty($_POST['id'])))
	{
		// Remove
		$IDs = implode(", ", bigintval($_POST['id']));
		$SQLs[] = "DELETE LOW_PRIORITY FROM "._MYSQL_PREFIX."_countries WHERE id IN (".$IDs.") LIMIT ".count($_POST['id'])."";

		// Create message
		$MSG = ADMIN_COUNTRIES_REMOVED;
	}

	if ((!empty($MSG)) && (count($SQLs) > 0))
	{
		// Run SQL commands
		foreach ($SQLs as $sql)
		{
			$result = SQL_QUERY($sql, __FILE__, __LINE__);
		}

		// Display message
		LOAD_TEMPLATE("admin_settings_saved", false, $MSG);
		OUTPUT_HTML("<br />");
	}

	// Load currenty setup country codes to list
	$result = SQL_QUERY("SELECT id, code, descr, is_active FROM "._MYSQL_PREFIX."_countries ORDER BY code", __FILE__, __LINE__);
	if (SQL_NUMROWS($result) > 0)
	{
		// List all countries
		$OUT = ""; $SW = 2;
		while(list($id, $code, $descr, $active) = SQL_FETCHROW($result))
		{
			// Prepare array for the template
			$content = array(
				'id'     => $id,
				'code'   => $code,
				'name'   => $descr,
				'active' => TRANSLATE_YESNO($active),
				'sw'     => $SW,
				'status' => $active,
			);

			// Load row template and switch colors
			$OUT .= LOAD_TEMPLATE("admin_list_country_row", true, $content);
			$SW = 3 - $SW;
		}

		// Free memory
		SQL_FREERESULT($result);
	}
	 else
	{
		// No code setup so far (not possible by this software! 'DE' for 'Deutschland' is default
		$OUT = LOAD_TEMPLATE("admin_list_country_no_row", true);
	}

	// Add list to constant for the template
	define('__COUNTRY_ROWS', $OUT);

	// Include add template
	define('__ADD_COUNTRY_FORM', LOAD_TEMPLATE("admin_add_country", true));

	// Load main template
	LOAD_TEMPLATE("admin_list_country");
}

//
?>
