<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/28/2004 *
 * ================                             Last change: 06/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_refs.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Show all referrals made by a member              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle generierten Refs eines Mitgliedes anzeigen  *
 * -------------------------------------------------------------------- *
 *                                                                      *
 *    Mod created by : Lars Moehlenbruch ( http://www.surfo.net )       *
 *                                                                      *
 * -------------------------------------------------------------------- *
 *                                                                      *
 *                 Highly modified by Roland Haeder                     *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (!empty($_GET['u_id'])) {
	// Check if the user already exists
	$result = SQL_QUERY_ESC("SELECT userid FROM "._MYSQL_PREFIX."_user_data WHERE userid=%s LIMIT 1",
	 array(bigintval($_GET['u_id'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Load all referal levels
		$result_levels = SQL_QUERY_ESC("SELECT d.level, d.percents, r.counter
FROM "._MYSQL_PREFIX."_refdepths AS d
LEFT JOIN "._MYSQL_PREFIX."_refsystem AS r
ON d.level=r.level
WHERE r.userid=%s
ORDER BY d.level ASC",
			array(bigintval($_GET['u_id'])), __FILE__, __LINE__);

		// Are there some levels (VERY BAD IF NONE!)
		if (SQL_NUMROWS($result_levels) > 0) {
			// List all ref levels
			$OUT = ""; $SW = 2;
			while ($levels = SQL_FETCHARRAY($result_levels)) {
				// Insert more data
				$levels['sw']    = $SW;
				$levels['level'] = ($levels['level'] + 1);

				// Load all refs of this user
				//$result_refs = SQL_QUERY_ESC("SELECT 
				// Load level template
				$OUT .= LOAD_TEMPLATE("admin_list_refs_level", true, $levels);

				// Switch colors
				$SW = 3 - $SW;
			} // END - if

			// Prepare content
			$content = array(
				'rows' => $OUT,
				'uid'  => ADMIN_USER_PROFILE_LINK($_GET['u_id'])
			);

			// Load mein template
			LOAD_TEMPLATE("admin_list_refs", false, $content);
		} else {
			// No levels found, very bad!
			LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_NO_REF_LEVELS);
		}

		// Free result
		SQL_FREERESULT($result_levels);
	} else {
		// User not found
		LOAD_TEMPLATE("admin_settings_saved", false, sprintf(ADMIN_MEMBER_404, $_GET['u_id']));
	}

	// Free memory
	SQL_FREERESULT($result);
} else {
	// Output selection form with all confirmed user accounts listed
	ADD_MEMBER_SELECTION_BOX();
}

//
?>
